Subject: Re: [OSPF] draft-ietf-ospf-yang-03 questions and doubts

From: Alan Davey <[email-masked]>
Date: Fri, 29 Jan 2016 17:47:35 +0000

Folks

I have not seen any response to my email below.  Does this mean that my comments will be incorporated into the next version of draft-ietf-ospf-yang?

Regards
Alan

From: Alan Davey
Sent: 15 December 2015 16:23
To: [email-masked]
Cc: [email-masked]
Subject: draft-ietf-ospf-yang-03 questions and doubts

Folks

I have a doubt about draft-ietf-ospf-yang-03.  Please let me know your thoughts on the following.

The text is OSPFv2-specific in places.  I think that it would be better to define separate top-level groupings and containers for OSPFv2 and OSPFv3 and define common groupings and containers, where possible, that are used by both.

For example, grouping interface-operation contains the following, which is incorrect for OSPFv3.

-          leaf dr with type ipv4-address

-          leaf bdr with type ipv4-address.

I think that it would be better to define something along the following lines.

-          ospfv3-interface-operation {

o   uses interface-config

o   uses ospf-common-interface-operation

o   leaf dr {

?  type if:interface-ref

?  description:

*                   "The remote interface ID used by the Designated Router on

*                   this link.  This is the interface index of the interface local to the DR.";

o   etc

-          ospfv2-interface-operation {

o   uses interface-config

o   uses ospf-common-interface-operation

o   leaf dr {

?           type inet:ipv4-address;

?           description "Designated Router (DR) IP address.";

o   etc.

Regards
Alan Davey